title = "AWS, Datadog, Docker, global allowlist, IP address, UK Gov Notify, URLs, gitleaks config"

[allowlist]
description = "global allowlist"
paths = [
    "(.*?)(jpg|gif|doc|docx|zip|xls|pdf|bin|svg|socket|vsidx|v2|suo|wsuo|.dll|pdb|exe)$",
    "(go.mod|go.sum)$",
    "Database.refactorlog",
    "gitleaks-nhsbsa.toml",
    "gitleaks.csv",
    "gitleaks.json",
    "gitleaks.sarif",
    "gitleaks.toml",
    "gradle.lockfile",
    "node_modules",
    "package-lock.json",
    "pnpm-lock.yaml",
    "target",
    "vendor",
]

[[rules]]
id = "aws-access-key-id"
description = "AWS access key id"
regex = "(A3T[A-Z0-9]|AKIA|AGPA|AIDA|AROA|AIPA|ANPA|ANVA|ASIA)[a-zA-Z0-9]{16}"
keywords = [
    "akia",
    "agpa",
    "aida",
    "aroa",
    "aipa",
    "anpa",
    "anva",
    "asia",
]

[[rules]]
id = "aws-secret-access-key"
description = "AWS secret access key"
regex = "(?:['|\\\"|\\n|\\r|\\s|\\x60|;]|^)([a-zA-Z0-9+\\/]{40})(?:['|\\\"|\\n|\\r|\\s|\\x60|;]|$)"
keywords = [
    "aws",
    "key",
    "secret",
    "access",
]

[[rules]]
id = "datadog-api-key"
description = "Datadog API key"
regex = "(?:['|\\\"|\\n|\\r|\\s|\\x60|;]|^)([0-9a-fA-F]{32})(?:['|\\\"|\\n|\\r|\\s|\\x60|;]|$)"
keywords = [
    "datadog",
]

[[rules]]
id = "datadog-application-key"
description = "Datadog application key"
regex = "(?:['|\\\"|\\n|\\r|\\s|\\x60|;]|^)([0-9a-fA-F]{40})(?:['|\\\"|\\n|\\r|\\s|\\x60|;]|$)"
keywords = [
    "datadog",
]

[[rules]]
id = "datadog-key-id"
description = "Datadog key ID (UUID)"
regex = "([0-9a-fA-F]{8})(\\-[0-9a-fA-F]{4}){3}(\\-[0-9a-fA-F]{12})"
keywords = [
    "datadog",
]

[[rules]]
id = "docker-personal-access-token"
description = "docker PAT"
regex = "((dckr_pat_)([a-zA-Z0-9]{27})(?:['|\\\"|\\n|\\r|\\s|\\x60|;]|$))"
keywords = [
    "dckr_pat_",
]

[[rules]]
id = "generic-api-key"
description = "Generic API Key"
secretGroup = 1
regex = "(?i)(?:key|api|token|secret|client|passwd|password|auth|access)(?:[0-9a-z\\-_\\t .]{0,20})(?:[\\s|']|[\\s|\"]){0,3}(?:=|>|:{1,3}=|\\|\\|:|<=|=>|:|\\?=)(?:'|\\\"|\\s|=|\\x60){0,5}([0-9a-z\\-_.=]{10,150})(?:['|\\\"|\\n|\\r|\\s|\\x60|;]|$)"
entropy = 3.5
keywords = [
    "key",
    "api",
    "token",
    "secret",
    "client",
    "passwd",
    "password",
    "auth",
    "access",
]

[rules.allowlist]
stopwords = [
    "client",
    "endpoint",
    "vpn",
    "_ec2_",
    "aws_",
    "authorize",
    "author",
    "define",
    "config",
    "credential",
    "setting",
    "sample",
    "xxxxxx",
    "000000",
    "buffer",
    "delete",
    "aaaaaa",
    "fewfwef",
    "getenv",
    "env_",
    "system",
    "example",
    "ecdsa",
    "sha256",
    "sha1",
    "sha2",
    "md5",
    "alert",
    "wizard",
    "target",
    "onboard",
    "welcome",
    "page",
    "exploit",
    "experiment",
    "expire",
    "rabbitmq",
    "scraper",
    "widget",
    "music",
    "dns_",
    "dns-",
    "yahoo",
    "want",
    "json",
    "action",
    "script",
    "fix_",
    "fix-",
    "develop",
    "compas",
    "stripe",
    "service",
    "master",
    "metric",
    "tech",
    "gitignore",
    "rich",
    "open",
    "stack",
    "irc_",
    "irc-",
    "sublime",
    "kohana",
    "has_",
    "has-",
    "fabric",
    "wordpres",
    "role",
    "osx_",
    "osx-",
    "boost",
    "addres",
    "queue",
    "working",
    "sandbox",
    "internet",
    "print",
    "vision",
    "tracking",
    "being",
    "generator",
    "traffic",
    "world",
    "pull",
    "rust",
    "watcher",
    "small",
    "auth",
    "full",
    "hash",
    "more",
    "install",
    "auto",
    "complete",
    "learn",
    "paper",
    "installer",
    "research",
    "acces",
    "last",
    "binding",
    "spine",
    "into",
    "chat",
    "algorithm",
    "resource",
    "uploader",
    "video",
    "maker",
    "next",
    "proc",
    "lock",
    "robot",
    "snake",
    "patch",
    "matrix",
    "drill",
    "terminal",
    "term",
    "stuff",
    "genetic",
    "generic",
    "identity",
    "audit",
    "pattern",
    "audio",
    "web_",
    "web-",
    "crud",
    "problem",
    "statu",
    "cms-",
    "cms_",
    "arch",
    "coffee",
    "workflow",
    "changelog",
    "another",
    "uiview",
    "content",
    "kitchen",
    "gnu_",
    "gnu-",
    "gnu.",
    "conf",
    "couchdb",
    "client",
    "opencv",
    "rendering",
    "update",
    "concept",
    "varnish",
    "gui_",
    "gui-",
    "gui.",
    "version",
    "shared",
    "extra",
    "product",
    "still",
    "not_",
    "not-",
    "not.",
    "drop",
    "ring",
    "png_",
    "png-",
    "png.",
    "actively",
    "import",
    "output",
    "backup",
    "start",
    "embedded",
    "registry",
    "pool",
    "semantic",
    "instagram",
    "bash",
    "system",
    "ninja",
    "drupal",
    "jquery",
    "polyfill",
    "physic",
    "league",
    "guide",
    "pack",
    "synopsi",
    "sketch",
    "injection",
    "svg_",
    "svg-",
    "svg.",
    "friendly",
    "wave",
    "convert",
    "manage",
    "camera",
    "link",
    "slide",
    "timer",
    "wrapper",
    "gallery",
    "url_",
    "url-",
    "url.",
    "todomvc",
    "requirej",
    "party",
    "http",
    "payment",
    "async",
    "library",
    "home",
    "coco",
    "gaia",
    "display",
    "universal",
    "func",
    "metadata",
    "hipchat",
    "under",
    "room",
    "config",
    "personal",
    "realtime",
    "resume",
    "database",
    "testing",
    "tiny",
    "basic",
    "forum",
    "meetup",
    "yet_",
    "yet-",
    "yet.",
    "cento",
    "dead",
    "fluentd",
    "editor",
    "utilitie",
    "run_",
    "run-",
    "run.",
    "box_",
    "box-",
    "box.",
    "bot_",
    "bot-",
    "bot.",
    "making",
    "sample",
    "group",
    "monitor",
    "ajax",
    "parallel",
    "cassandra",
    "ultimate",
    "site",
    "get_",
    "get-",
    "get.",
    "gen_",
    "gen-",
    "gen.",
    "gem_",
    "gem-",
    "gem.",
    "extended",
    "image",
    "knife",
    "asset",
    "nested",
    "zero",
    "plugin",
    "bracket",
    "mule",
    "mozilla",
    "number",
    "act_",
    "act-",
    "act.",
    "map_",
    "map-",
    "map.",
    "micro",
    "debug",
    "openshift",
    "chart",
    "expres",
    "backend",
    "task",
    "source",
    "translate",
    "jbos",
    "composer",
    "sqlite",
    "profile",
    "mustache",
    "mqtt",
    "yeoman",
    "have",
    "builder",
    "smart",
    "like",
    "oauth",
    "school",
    "guideline",
    "captcha",
    "filter",
    "bitcoin",
    "bridge",
    "color",
    "toolbox",
    "discovery",
    "new_",
    "new-",
    "new.",
    "dashboard",
    "when",
    "setting",
    "level",
    "post",
    "standard",
    "port",
    "platform",
    "yui_",
    "yui-",
    "yui.",
    "grunt",
    "animation",
    "haskell",
    "icon",
    "latex",
    "cheat",
    "lua_",
    "lua-",
    "lua.",
    "gulp",
    "case",
    "author",
    "without",
    "simulator",
    "wifi",
    "directory",
    "lisp",
    "list",
    "flat",
    "adventure",
    "story",
    "storm",
    "gpu_",
    "gpu-",
    "gpu.",
    "store",
    "caching",
    "attention",
    "solr",
    "logger",
    "demo",
    "shortener",
    "hadoop",
    "finder",
    "phone",
    "pipeline",
    "range",
    "textmate",
    "showcase",
    "app_",
    "app-",
    "app.",
    "idiomatic",
    "edit",
    "our_",
    "our-",
    "our.",
    "out_",
    "out-",
    "out.",
    "sentiment",
    "linked",
    "why_",
    "why-",
    "why.",
    "local",
    "cube",
    "gmail",
    "job_",
    "job-",
    "job.",
    "rpc_",
    "rpc-",
    "rpc.",
    "contest",
    "tcp_",
    "tcp-",
    "tcp.",
    "usage",
    "buildout",
    "weather",
    "transfer",
    "automated",
    "sphinx",
    "issue",
    "sas_",
    "sas-",
    "sas.",
    "parallax",
    "jasmine",
    "addon",
    "machine",
    "solution",
    "dsl_",
    "dsl-",
    "dsl.",
    "episode",
    "menu",
    "theme",
    "best",
    "adapter",
    "debugger",
    "chrome",
    "tutorial",
    "life",
    "step",
    "people",
    "joomla",
    "paypal",
    "developer",
    "solver",
    "team",
    "current",
    "love",
    "visual",
    "date",
    "data",
    "canva",
    "container",
    "future",
    "xml_",
    "xml-",
    "xml.",
    "twig",
    "nagio",
    "spatial",
    "original",
    "sync",
    "archived",
    "refinery",
    "science",
    "mapping",
    "gitlab",
    "play",
    "ext_",
    "ext-",
    "ext.",
    "session",
    "impact",
    "set_",
    "set-",
    "set.",
    "see_",
    "see-",
    "see.",
    "migration",
    "commit",
    "community",
    "shopify",
    "what'",
    "cucumber",
    "statamic",
    "mysql",
    "location",
    "tower",
    "line",
    "code",
    "amqp",
    "hello",
    "send",
    "index",
    "high",
    "notebook",
    "alloy",
    "python",
    "field",
    "document",
    "soap",
    "edition",
    "email",
    "php_",
    "php-",
    "php.",
    "command",
    "transport",
    "official",
    "upload",
    "study",
    "secure",
    "angularj",
    "akka",
    "scalable",
    "package",
    "request",
    "con_",
    "con-",
    "con.",
    "flexible",
    "security",
    "comment",
    "module",
    "flask",
    "graph",
    "flash",
    "apache",
    "change",
    "window",
    "space",
    "lambda",
    "sheet",
    "bookmark",
    "carousel",
    "friend",
    "objective",
    "jekyll",
    "bootstrap",
    "first",
    "article",
    "gwt_",
    "gwt-",
    "gwt.",
    "classic",
    "media",
    "websocket",
    "touch",
    "desktop",
    "real",
    "read",
    "recorder",
    "moved",
    "storage",
    "validator",
    "add-on",
    "pusher",
    "scs_",
    "scs-",
    "scs.",
    "inline",
    "asp_",
    "asp-",
    "asp.",
    "timeline",
    "base",
    "encoding",
    "ffmpeg",
    "kindle",
    "tinymce",
    "pretty",
    "jpa_",
    "jpa-",
    "jpa.",
    "used",
    "user",
    "required",
    "webhook",
    "download",
    "resque",
    "espresso",
    "cloud",
    "mongo",
    "benchmark",
    "pure",
    "cakephp",
    "modx",
    "mode",
    "reactive",
    "fuel",
    "written",
    "flickr",
    "mail",
    "brunch",
    "meteor",
    "dynamic",
    "neo_",
    "neo-",
    "neo.",
    "new_",
    "new-",
    "new.",
    "net_",
    "net-",
    "net.",
    "typo",
    "type",
    "keyboard",
    "erlang",
    "adobe",
    "logging",
    "ckeditor",
    "message",
    "iso_",
    "iso-",
    "iso.",
    "hook",
    "ldap",
    "folder",
    "reference",
    "railscast",
    "www_",
    "www-",
    "www.",
    "tracker",
    "azure",
    "fork",
    "form",
    "digital",
    "exporter",
    "skin",
    "string",
    "template",
    "designer",
    "gollum",
    "fluent",
    "entity",
    "language",
    "alfred",
    "summary",
    "wiki",
    "kernel",
    "calendar",
    "plupload",
    "symfony",
    "foundry",
    "remote",
    "talk",
    "search",
    "dev_",
    "dev-",
    "dev.",
    "del_",
    "del-",
    "del.",
    "token",
    "idea",
    "sencha",
    "selector",
    "interface",
    "create",
    "fun_",
    "fun-",
    "fun.",
    "groovy",
    "query",
    "grail",
    "red_",
    "red-",
    "red.",
    "laravel",
    "monkey",
    "slack",
    "supported",
    "instant",
    "value",
    "center",
    "latest",
    "work",
    "but_",
    "but-",
    "but.",
    "bug_",
    "bug-",
    "bug.",
    "virtual",
    "tweet",
    "statsd",
    "studio",
    "path",
    "real-time",
    "frontend",
    "notifier",
    "coding",
    "tool",
    "firmware",
    "flow",
    "random",
    "mediawiki",
    "bosh",
    "been",
    "beer",
    "lightbox",
    "theory",
    "origin",
    "redmine",
    "hub_",
    "hub-",
    "hub.",
    "require",
    "pro_",
    "pro-",
    "pro.",
    "ant_",
    "ant-",
    "ant.",
    "any_",
    "any-",
    "any.",
    "recipe",
    "closure",
    "mapper",
    "event",
    "todo",
    "model",
    "redi",
    "provider",
    "rvm_",
    "rvm-",
    "rvm.",
    "program",
    "memcached",
    "rail",
    "silex",
    "foreman",
    "activity",
    "license",
    "strategy",
    "batch",
    "streaming",
    "fast",
    "use_",
    "use-",
    "use.",
    "usb_",
    "usb-",
    "usb.",
    "impres",
    "academy",
    "slider",
    "please",
    "layer",
    "cros",
    "now_",
    "now-",
    "now.",
    "miner",
    "extension",
    "own_",
    "own-",
    "own.",
    "app_",
    "app-",
    "app.",
    "debian",
    "symphony",
    "example",
    "feature",
    "serie",
    "tree",
    "project",
    "runner",
    "entry",
    "leetcode",
    "layout",
    "webrtc",
    "logic",
    "login",
    "worker",
    "toolkit",
    "mocha",
    "support",
    "back",
    "inside",
    "device",
    "jenkin",
    "contact",
    "fake",
    "awesome",
    "ocaml",
    "bit_",
    "bit-",
    "bit.",
    "drive",
    "screen",
    "prototype",
    "gist",
    "binary",
    "nosql",
    "rest",
    "overview",
    "dart",
    "dark",
    "emac",
    "mongoid",
    "solarized",
    "homepage",
    "emulator",
    "commander",
    "django",
    "yandex",
    "gradle",
    "xcode",
    "writer",
    "crm_",
    "crm-",
    "crm.",
    "jade",
    "startup",
    "error",
    "using",
    "format",
    "name",
    "spring",
    "parser",
    "scratch",
    "magic",
    "try_",
    "try-",
    "try.",
    "rack",
    "directive",
    "challenge",
    "slim",
    "counter",
    "element",
    "chosen",
    "doc_",
    "doc-",
    "doc.",
    "meta",
    "should",
    "button",
    "packet",
    "stream",
    "hardware",
    "android",
    "infinite",
    "password",
    "software",
    "ghost",
    "xamarin",
    "spec",
    "chef",
    "interview",
    "hubot",
    "mvc_",
    "mvc-",
    "mvc.",
    "exercise",
    "leaflet",
    "launcher",
    "air_",
    "air-",
    "air.",
    "photo",
    "board",
    "boxen",
    "way_",
    "way-",
    "way.",
    "computing",
    "welcome",
    "notepad",
    "portfolio",
    "cat_",
    "cat-",
    "cat.",
    "can_",
    "can-",
    "can.",
    "magento",
    "yaml",
    "domain",
    "card",
    "yii_",
    "yii-",
    "yii.",
    "checker",
    "browser",
    "upgrade",
    "only",
    "progres",
    "aura",
    "ruby_",
    "ruby-",
    "ruby.",
    "polymer",
    "util",
    "lite",
    "hackathon",
    "rule",
    "log_",
    "log-",
    "log.",
    "opengl",
    "stanford",
    "skeleton",
    "history",
    "inspector",
    "help",
    "soon",
    "selenium",
    "lab_",
    "lab-",
    "lab.",
    "scheme",
    "schema",
    "look",
    "ready",
    "leveldb",
    "docker",
    "game",
    "minimal",
    "logstash",
    "messaging",
    "within",
    "heroku",
    "mongodb",
    "kata",
    "suite",
    "picker",
    "win_",
    "win-",
    "win.",
    "wip_",
    "wip-",
    "wip.",
    "panel",
    "started",
    "starter",
    "front-end",
    "detector",
    "deploy",
    "editing",
    "based",
    "admin",
    "capture",
    "spree",
    "page",
    "bundle",
    "goal",
    "rpg_",
    "rpg-",
    "rpg.",
    "setup",
    "side",
    "mean",
    "reader",
    "cookbook",
    "mini",
    "modern",
    "seed",
    "dom_",
    "dom-",
    "dom.",
    "doc_",
    "doc-",
    "doc.",
    "dot_",
    "dot-",
    "dot.",
    "syntax",
    "sugar",
    "loader",
    "website",
    "make",
    "kit_",
    "kit-",
    "kit.",
    "protocol",
    "human",
    "daemon",
    "golang",
    "manager",
    "countdown",
    "connector",
    "swagger",
    "map_",
    "map-",
    "map.",
    "mac_",
    "mac-",
    "mac.",
    "man_",
    "man-",
    "man.",
    "orm_",
    "orm-",
    "orm.",
    "org_",
    "org-",
    "org.",
    "little",
    "zsh_",
    "zsh-",
    "zsh.",
    "shop",
    "show",
    "workshop",
    "money",
    "grid",
    "server",
    "octopres",
    "svn_",
    "svn-",
    "svn.",
    "ember",
    "embed",
    "general",
    "file",
    "important",
    "dropbox",
    "portable",
    "public",
    "docpad",
    "fish",
    "sbt_",
    "sbt-",
    "sbt.",
    "done",
    "para",
    "network",
    "common",
    "readme",
    "popup",
    "simple",
    "purpose",
    "mirror",
    "single",
    "cordova",
    "exchange",
    "object",
    "design",
    "gateway",
    "account",
    "lamp",
    "intellij",
    "math",
    "mit_",
    "mit-",
    "mit.",
    "control",
    "enhanced",
    "emitter",
    "multi",
    "add_",
    "add-",
    "add.",
    "about",
    "socket",
    "preview",
    "vagrant",
    "cli_",
    "cli-",
    "cli.",
    "powerful",
    "top_",
    "top-",
    "top.",
    "radio",
    "watch",
    "fluid",
    "amazon",
    "report",
    "couchbase",
    "automatic",
    "detection",
    "sprite",
    "pyramid",
    "portal",
    "advanced",
    "plu_",
    "plu-",
    "plu.",
    "runtime",
    "git_",
    "git-",
    "git.",
    "uri_",
    "uri-",
    "uri.",
    "haml",
    "node",
    "sql_",
    "sql-",
    "sql.",
    "cool",
    "core",
    "obsolete",
    "handler",
    "iphone",
    "extractor",
    "array",
    "copy",
    "nlp_",
    "nlp-",
    "nlp.",
    "reveal",
    "pop_",
    "pop-",
    "pop.",
    "engine",
    "parse",
    "check",
    "html",
    "nest",
    "all_",
    "all-",
    "all.",
    "chinese",
    "buildpack",
    "what",
    "tag_",
    "tag-",
    "tag.",
    "proxy",
    "style",
    "cookie",
    "feed",
    "restful",
    "compiler",
    "creating",
    "prelude",
    "context",
    "java",
    "rspec",
    "mock",
    "backbone",
    "light",
    "spotify",
    "flex",
    "related",
    "shell",
    "which",
    "clas",
    "webapp",
    "swift",
    "ansible",
    "unity",
    "console",
    "tumblr",
    "export",
    "campfire",
    "conway'",
    "made",
    "riak",
    "hero",
    "here",
    "unix",
    "unit",
    "glas",
    "smtp",
    "how_",
    "how-",
    "how.",
    "hot_",
    "hot-",
    "hot.",
    "debug",
    "release",
    "diff",
    "player",
    "easy",
    "right",
    "old_",
    "old-",
    "old.",
    "animate",
    "time",
    "push",
    "explorer",
    "course",
    "training",
    "nette",
    "router",
    "draft",
    "structure",
    "note",
    "salt",
    "where",
    "spark",
    "trello",
    "power",
    "method",
    "social",
    "via_",
    "via-",
    "via.",
    "vim_",
    "vim-",
    "vim.",
    "select",
    "webkit",
    "github",
    "ftp_",
    "ftp-",
    "ftp.",
    "creator",
    "mongoose",
    "led_",
    "led-",
    "led.",
    "movie",
    "currently",
    "pdf_",
    "pdf-",
    "pdf.",
    "load",
    "markdown",
    "phalcon",
    "input",
    "custom",
    "atom",
    "oracle",
    "phonegap",
    "ubuntu",
    "great",
    "rdf_",
    "rdf-",
    "rdf.",
    "popcorn",
    "firefox",
    "zip_",
    "zip-",
    "zip.",
    "cuda",
    "dotfile",
    "static",
    "openwrt",
    "viewer",
    "powered",
    "graphic",
    "les_",
    "les-",
    "les.",
    "doe_",
    "doe-",
    "doe.",
    "maven",
    "word",
    "eclipse",
    "lab_",
    "lab-",
    "lab.",
    "hacking",
    "steam",
    "analytic",
    "option",
    "abstract",
    "archive",
    "reality",
    "switcher",
    "club",
    "write",
    "kafka",
    "arduino",
    "angular",
    "online",
    "title",
    "don't",
    "contao",
    "notice",
    "analyzer",
    "learning",
    "zend",
    "external",
    "staging",
    "busines",
    "tdd_",
    "tdd-",
    "tdd.",
    "scanner",
    "building",
    "snippet",
    "modular",
    "bower",
    "stm_",
    "stm-",
    "stm.",
    "lib_",
    "lib-",
    "lib.",
    "alpha",
    "mobile",
    "clean",
    "linux",
    "nginx",
    "manifest",
    "some",
    "raspberry",
    "gnome",
    "ide_",
    "ide-",
    "ide.",
    "block",
    "statistic",
    "info",
    "drag",
    "youtube",
    "koan",
    "facebook",
    "paperclip",
    "art_",
    "art-",
    "art.",
    "quality",
    "tab_",
    "tab-",
    "tab.",
    "need",
    "dojo",
    "shield",
    "computer",
    "stat",
    "state",
    "twitter",
    "utility",
    "converter",
    "hosting",
    "devise",
    "liferay",
    "updated",
    "force",
    "tip_",
    "tip-",
    "tip.",
    "behavior",
    "active",
    "call",
    "answer",
    "deck",
    "better",
    "principle",
    "ches",
    "bar_",
    "bar-",
    "bar.",
    "reddit",
    "three",
    "haxe",
    "just",
    "plug-in",
    "agile",
    "manual",
    "tetri",
    "super",
    "beta",
    "parsing",
    "doctrine",
    "minecraft",
    "useful",
    "perl",
    "sharing",
    "agent",
    "switch",
    "view",
    "dash",
    "channel",
    "repo",
    "pebble",
    "profiler",
    "warning",
    "cluster",
    "running",
    "markup",
    "evented",
    "mod_",
    "mod-",
    "mod.",
    "share",
    "csv_",
    "csv-",
    "csv.",
    "response",
    "good",
    "house",
    "connect",
    "built",
    "build",
    "find",
    "ipython",
    "webgl",
    "big_",
    "big-",
    "big.",
    "google",
    "scala",
    "sdl_",
    "sdl-",
    "sdl.",
    "sdk_",
    "sdk-",
    "sdk.",
    "native",
    "day_",
    "day-",
    "day.",
    "puppet",
    "text",
    "routing",
    "helper",
    "linkedin",
    "crawler",
    "host",
    "guard",
    "merchant",
    "poker",
    "over",
    "writing",
    "free",
    "classe",
    "component",
    "craft",
    "nodej",
    "phoenix",
    "longer",
    "quick",
    "lazy",
    "memory",
    "clone",
    "hacker",
    "middleman",
    "factory",
    "motion",
    "multiple",
    "tornado",
    "hack",
    "ssh_",
    "ssh-",
    "ssh.",
    "review",
    "vimrc",
    "driver",
    "driven",
    "blog",
    "particle",
    "table",
    "intro",
    "importer",
    "thrift",
    "xmpp",
    "framework",
    "refresh",
    "react",
    "font",
    "librarie",
    "variou",
    "formatter",
    "analysi",
    "karma",
    "scroll",
    "tut_",
    "tut-",
    "tut.",
    "apple",
    "tag_",
    "tag-",
    "tag.",
    "tab_",
    "tab-",
    "tab.",
    "category",
    "ionic",
    "cache",
    "homebrew",
    "reverse",
    "english",
    "getting",
    "shipping",
    "clojure",
    "boot",
    "book",
    "branch",
    "combination",
    "combo",
]

[[rules]]
id = "github-app-token"
description = "GitHub App Token"
regex = "(ghu|ghs)_[0-9a-zA-Z]{36}"
keywords = [
    "ghu_",
    "ghs_",
]

[[rules]]
id = "github-fine-grained-pat"
description = "GitHub Fine-Grained Personal Access Token"
regex = "github_pat_[0-9a-zA-Z_]{82}"
keywords = [
    "github_pat_",
]

[[rules]]
id = "github-pat"
description = "GitHub Personal Access Token"
regex = "ghp_[0-9a-zA-Z]{36}"
keywords = [
    "ghp_",
]

[[rules]]
id = "github-refresh-token"
description = "GitHub Refresh Token"
regex = "ghr_[0-9a-zA-Z]{36}"
keywords = [
    "ghr_",
]

[[rules]]
id = "gitlab-pat"
description = "GitLab Personal Access Token"
regex = "glpat-[0-9a-zA-Z\\-\\_]{20}"
keywords = [
    "glpat-",
]

[[rules]]
id = "ip-v4-address"
description = "IPv4 addresses"
regex = "((?:\\b(10|172|192))(?:\\.(25[0-5]|2[0-4][0-9]|[01]?[0-9][0-9]?)){3})(?:[^\\d]|$)"

[rules.allowlist]
description = "localhost, bind-all and metadata IPs"
paths = [
    "pom.xml",
]
regexes = [
    "127.0.0.1",
    "0.0.0.0",
    "169.254.169.254",
]

[[rules]]
id = "jwt"
description = "JSON Web Token"
regex = "(?i)\\b(ey[0-9a-z]{30,34}\\.ey[0-9a-z-\\/_]{30,500}\\.[0-9a-zA-Z-\\/_]{10,200}={0,2})(?:['|\\\"|\\n|\\r|\\s|\\x60|;]|$)"
keywords = [
    "ey",
]

[[rules]]
id = "npm-access-token"
description = "npm access token"
secretGroup = 1
regex = "(?i)\\b(npm_[a-z0-9]{36})(?:['|\\\"|\\n|\\r|\\s|\\x60|;]|$)"
keywords = [
    "npm_",
]

[[rules]]
id = "postman-api-token"
description = "Postman API token"
secretGroup = 1
regex = "(?i)\\b(PMAK-(?i)[a-f0-9]{24}\\-[a-f0-9]{34})(?:['|\\\"|\\n|\\r|\\s|\\x60|;]|$)"
keywords = [
    "pmak-",
]

[[rules]]
id = "private-key"
description = "Private Key"
regex = "(?i)-----BEGIN[ A-Z0-9_-]{0,100}PRIVATE KEY( BLOCK)?-----[\\s\\S-]*KEY( BLOCK)?----"
keywords = [
    "-----begin",
]

[[rules]]
id = "pypi-upload-token"
description = "PyPI upload token"
regex = "pypi-AgEIcHlwaS5vcmc[A-Za-z0-9\\-_]{50,1000}"
keywords = [
    "pypi-ageichlwas5vcmc",
]

[[rules]]
id = "uk-gov-notify"
description = "UK Gov Notify API key or ID e.g. template, reply-to (UUID)"
regex = "(([0-9a-fA-F]{8})(\\-[0-9a-fA-F]{4}){3}(\\-[0-9a-fA-F]{12})\\-?){1,2}"
keywords = [
    "notify",
]

[[rules]]
id = "url"
description = "Non localhost URL"
regex = "((?:(?:[a-zA-Z0-9+\\-.]*:)+(?:\\/){1,2})(?:(?:(?:[^@\\/?#\\s\\-_]+)@)?(?:[^\\/?#\\s]+)?)(?:\\/[^\\?^#.]+)*(?:[#][^\\?.]*)?(?:[\\?](?:[^#\\s]+))?)"
keywords = [
    "jdbc",
    "amazonaws.com",
    "ec2.internal",
    "compute.internal",
    "windows.net",
    "service.nhsbsa",
]

[rules.allowlist]
description = "Allow localhost, maven, text-ish files"
paths = [
    ".html",
    ".xml",
    ".md",
    ".txt",
    "mvnw",
]
regexes = [
    "localhost",
    "maven",
    "classpath",
    "https://[a-zA-Z0-9]+.atlassian.net",
]
